/* ServerSocket.h

java-like implementation of sockets.

Part of the caiviar package. 

Copyright (c) 2002 MobileX AG, http://www.mobilexag.de
Copyright (c) 2002 Peter Dikant <peter.dikant@mobilexag.de>

This file is distributed under the GPL, see file COPYING for details. */

#include "../config.h"

#include "ClientSocket.h"

#if !defined(AFX_SERVERSOCKET_H__2273490E_FEFF_449C_93F0_46105209A4D2__INCLUDED_)
#define AFX_SERVERSOCKET_H__2273490E_FEFF_449C_93F0_46105209A4D2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

class ServerSocket  
{
public:
	ClientSocket* acceptConnection();
	int initSocket(short port);
	ServerSocket();
	virtual ~ServerSocket();

private:
	SOCKET listeningSocket;
	short nPort;
};

#endif // !defined(AFX_SERVERSOCKET_H__2273490E_FEFF_449C_93F0_46105209A4D2__INCLUDED_)
